[ltt-dev] [UST PATCH] Fix up all use of /dev/stderr for portability to busybox /bin/sh
Jason Wessel
jason.wessel at windriver.com
Tue Apr 12 15:11:36 EDT 2011
The typical shell on a small embedded target using busybox does
not have support for /dev/stderr. A more portable way to send
output to stderr with echo is to redirect stdout to stderr with
1>&2.
In the usttrace script it did something that was effectively
a NOP. The result of echo "" 2>/dev/stderr is not actually
going to send anything to stderr because the echo is going
to write to stdout. This case was also fixed.
Signed-off-by: Jason Wessel <jason.wessel at windriver.com>
---
tests/test_functions.sh | 2 +-
tests/trace_matches | 4 ++--
tests/valgrind_ust-consumerd.sh | 2 +-
usttrace | 26 +++++++++++++-------------
4 files changed, 17 insertions(+), 17 deletions(-)
diff --git a/tests/test_functions.sh b/tests/test_functions.sh
index 79ade73..c4e913b 100644
--- a/tests/test_functions.sh
+++ b/tests/test_functions.sh
@@ -77,7 +77,7 @@ function trace_matches() {
LTTV_TRACE_PREFIX=""
else
- echo "$0: No lttv found. Edit \$RUNLTTV to point to your lttv source directory or \$LTTV to you lttv executable." >/dev/stderr
+ echo "$0: No lttv found. Edit \$RUNLTTV to point to your lttv source directory or \$LTTV to you lttv executable." 1>&2
exit 1;
fi
diff --git a/tests/trace_matches b/tests/trace_matches
index 17a65f8..da3d954 100755
--- a/tests/trace_matches
+++ b/tests/trace_matches
@@ -1,7 +1,7 @@
#!/bin/bash
function error() {
- echo "$0: $@" >/dev/stderr
+ echo "$0: $@" 1>&2
}
function usage() {
@@ -43,7 +43,7 @@ elif [ -x "$(dirname `readlink -f $0`)/../../lttv/runlttv" ]; then
LTTV_TRACE_PREFIX=""
else
- echo "$0: No lttv found. Edit \$RUNLTTV to point to your lttv source directory or \$LTTV to you lttv executable." >/dev/stderr
+ echo "$0: No lttv found. Edit \$RUNLTTV to point to your lttv source directory or \$LTTV to you lttv executable." 1>&2
exit 1;
fi
diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index 856808b..7dd6668 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -25,7 +25,7 @@ source $TESTDIR/tap.sh
starttest "ust-consumerd valgrind check"
if ! which valgrind > /dev/null; then
- echo "$0: Valgrind not found on the system." >/dev/stderr
+ echo "$0: Valgrind not found on the system." 1>&2
exit 1;
fi
diff --git a/usttrace b/usttrace
index af80faf..e76dae7 100755
--- a/usttrace
+++ b/usttrace
@@ -4,7 +4,7 @@
# Distributed under the GPLv2.
error() {
- echo "$0: error: $1" 2>/dev/stderr
+ echo "$0: error: $1" 1>&2
}
sighandler() {
@@ -45,18 +45,18 @@ fi
BASE_TRACE_DIR="${HOME}/.usttraces"
usage() {
- echo "usage: $0 OPTIONS COMMAND" 2>/dev/stderr
- echo "" 2>/dev/stderr
- echo "Options:" 2>/dev/stderr
- echo " -l Runtime link with UST library." 2>/dev/stderr
- echo " (Needed only if program was not linked at compile time with libust.)" 2>/dev/stderr
- echo " -L Add path to ust libraries to LD_LIBRARY_PATH." 2>/dev/stderr
- echo " -m Instrument malloc calls." 2>/dev/stderr
- echo " -f Also trace forked processes." 2>/dev/stderr
- echo " -s Use system-wide daemon instead of creating one for this session." 2>/dev/stderr
- echo " -S Specify the subbuffer size." 2>/dev/stderr
- echo " -N Specify the number of subbuffers." 2>/dev/stderr
- echo " -o Output directory of the trace." 2>/dev/stderr
+ echo "usage: $0 OPTIONS COMMAND" 1>&2
+ echo "" 1>&2
+ echo "Options:" 1>&2
+ echo " -l Runtime link with UST library." 1>&2
+ echo " (Needed only if program was not linked at compile time with libust.)" 1>&2
+ echo " -L Add path to ust libraries to LD_LIBRARY_PATH." 1>&2
+ echo " -m Instrument malloc calls." 1>&2
+ echo " -f Also trace forked processes." 1>&2
+ echo " -s Use system-wide daemon instead of creating one for this session." 1>&2
+ echo " -S Specify the subbuffer size." 1>&2
+ echo " -N Specify the number of subbuffers." 1>&2
+ echo " -o Output directory of the trace." 1>&2
}
while getopts ":hlLmfsWS:N:o:" options; do
--
1.7.1
More information about the lttng-dev
mailing list